#!/usr/bin/env node

import { createRequire } from 'module';
const require = createRequire(import.meta.url);
const auth = require('../src/auth-web.js');
const chalk = require('chalk');

console.log(chalk.cyan('======================='));
console.log(chalk.cyan('CLI Authentication Tool'));
console.log(chalk.cyan('======================='));

// Start the login flow
auth.login()
  .then(tokenData => {
    console.log(chalk.green('\n✅ Authentication successful!'));
    console.log(chalk.green(`Token will expire in ${auth.config.tokenExpirationSeconds} seconds`));
    console.log(chalk.green(`Expiration: ${new Date(tokenData.expiresAt * 1000).toLocaleString()}`));
    process.exit(0);
  })
  .catch(error => {
    console.error(chalk.red('\n❌ Authentication failed:'), error.message);
    process.exit(1);
  }); 