const path = require('path');
const CopyPlugin = require('copy-webpack-plugin');

module.exports = {
  entry: './src/index.ts',
  target: 'node',
  module: {
    rules: [
      {
        test: /\.tsx?$/,
        use: 'ts-loader',
        exclude: /node_modules/,
      },
    ],
  },
  resolve: {
    extensions: ['.tsx', '.ts', '.js'],
  },
  output: {
    filename: 'index.js',
    path: path.resolve(__dirname, 'dist'),
    library: {
      type: 'commonjs2',
    },
  },
  plugins: [
    new CopyPlugin({
      patterns: [
        { from: 'src/python', to: 'python' },
      ],
    }),
  ],
  externals: {
    // Don't bundle these node modules
    'chalk': 'commonjs chalk',
    'commander': 'commonjs commander',
    'ora': 'commonjs ora',
    'pyodide': 'commonjs pyodide',
  },
}; 